org.apache.velocity.tools.view

## Class ViewImportSupport.ImportResponseWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - org.apache.velocity.tools.view.ViewImportSupport.ImportResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

Enclosing class:
  ViewImportSupport

    protected static class ViewImportSupport.ImportResponseWrapper
    extends javax.servlet.http.HttpServletResponseWrapper

Wraps responses to allow us to retrieve results as Strings.

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Constructor Summary

Constructors
Constructor and Description
`ImportResponseWrapper(javax.servlet.http.HttpServletResponse response)` Constructs a new ImportResponseWrapper.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.servlet.ServletOutputStream` `getOutputStream()`
`int` `getStatus()`
`String` `getString()` Retrieves the buffered output, using the containing tag's 'charEncoding' attribute, or the tag's default encoding, if necessary.
`PrintWriter` `getWriter()`
`void` `setContentType(String x)` Has no effect.
`void` `setLocale(Locale x)` Has no effect.
`void` `setStatus(int status)` Sets the status of the response

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong`

### Constructor Detail

#### ImportResponseWrapper

    public ImportResponseWrapper(javax.servlet.http.HttpServletResponse response)

Constructs a new ImportResponseWrapper.

Parameters:
  `response` - the response to wrap

### Method Detail

#### getWriter

    public PrintWriter getWriter()

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Overrides:
  `getWriter` in class `javax.servlet.ServletResponseWrapper`
Returns:
  a Writer designed to buffer the output.

#### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()

Specified by:
  `getOutputStream` in interface `javax.servlet.ServletResponse`
Overrides:
  `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
Returns:
  a ServletOutputStream designed to buffer the output.

#### setContentType

    public void setContentType(String x)

Has no effect.

Specified by:
  `setContentType` in interface `javax.servlet.ServletResponse`
Overrides:
  `setContentType` in class `javax.servlet.ServletResponseWrapper`
Parameters:
  `x` - ignored

#### setLocale

    public void setLocale(Locale x)

Has no effect.

Specified by:
  `setLocale` in interface `javax.servlet.ServletResponse`
Overrides:
  `setLocale` in class `javax.servlet.ServletResponseWrapper`
Parameters:
  `x` - ignored

#### setStatus

    public void setStatus(int status)

Sets the status of the response

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`
Parameters:
  `status` - the status code

#### getStatus

    public int getStatus()

Specified by:
  `getStatus` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `getStatus` in class `javax.servlet.http.HttpServletResponseWrapper`
Returns:
  the status of the response

#### getString

    public String getString()
                     throws UnsupportedEncodingException

Retrieves the buffered output, using the containing tag's 'charEncoding' attribute, or the tag's default encoding, if necessary.

Returns:
  the buffered output
Throws:
  `UnsupportedEncodingException` - if the encoding is not supported